<?php

namespace App\Auth;

use DateTimeImmutable;
use DateTimeZone;

class SystemClock implements Clock
{
    public function now(): DateTimeImmutable
    {
        return new DateTimeImmutable('now', new DateTimeZone('UTC'));
    }
}
